Subject: Re: linux-next: Tree for Nov 2 (compiler-gcc.h)

From: Randy Dunlap <[email-masked]>
Date: Sat, 3 Nov 2018 09:10:35 -0700

On 11/3/18 5:43 AM, Miguel Ojeda wrote:
> On Fri, Nov 2, 2018 at 4:56 PM Randy Dunlap <[email-masked]> wrote:
>>
>> Hi,
>>
>> on i386 or x86_64, with gcc (SUSE Linux) 4.8.5, I am seeing this problem:
>>
>> In file included from <command-line>:0:0:
>> ../include/linux/compiler-gcc.h:75:45: internal compiler error: in function_and_variable_visibility, at ipa.c:825
>>  #define __UNIQUE_ID(prefix) __PASTE(__PASTE(__UNIQUE_ID_, prefix), __COUNTER__)
>>  [...]
>> ../drivers/media/usb/dvb-usb/pctv452e.c:1102:1: note: in expansion of macro ‘MODULE_LICENSE’
>>  MODULE_LICENSE("GPL");
>>  ^
>> Please submit a full bug report,
>> with preprocessed source if appropriate.
>> See <http://bugs.opensuse.org/> for instructions.
>> ../scripts/Makefile.build:293: recipe for target 'drivers/media/usb/dvb-usb/pctv452e.o' failed
> 
> Is any plugin enabled? I can't reproduce here on a compiled 4.8.5
> using a minimal config with pctv452e.c and a few other things enabled,
> although with a full allyesconfig I got another problem:

No plugins are enabled.
The failing randconfig file (for x86_64) is attached.

Thanks.

> 
> *** WARNING *** there are active plugins, do not report this as a bug
> unless you can reproduce it without enabling any plugins.
> Event                            | Plugins
> PLUGIN_FINISH_TYPE               | randomize_layout_plugin structleak_plugin
> PLUGIN_FINISH_DECL               | randomize_layout_plugin
> PLUGIN_ATTRIBUTES                | randomize_layout_plugin
> latent_entropy_plugin structleak_plugin
> PLUGIN_START_UNIT                | latent_entropy_plugin stackleak_plugin
> PLUGIN_ALL_IPA_PASSES_START      | randomize_layout_plugin
> arch/x86/kernel/apic/apic_noop.c: In function 'noop_init_apic_ldr':
> arch/x86/kernel/apic/apic_noop.c:32:1: internal compiler error:
> Segmentation fault
>  static void noop_init_apic_ldr(void) { }
>  ^
> 0x7f18e09006d5 stackleak_cleanup_execute
> scripts/gcc-plugins/stackleak_plugin.c:253
> Please submit a full bug report,
> with preprocessed source if appropriate.
> Please include the complete backtrace with any bug report.
> See <http://gcc.gnu.org/bugs.html> for instructions.
> scripts/Makefile.build:293: recipe for target
> 'arch/x86/kernel/apic/apic_noop.o' failed
> make[3]: *** [arch/x86/kernel/apic/apic_noop.o] Error 1
> scripts/Makefile.build:518: recipe for target 'arch/x86/kernel/apic' failed
> make[2]: *** [arch/x86/kernel/apic] Error 2
> scripts/Makefile.build:518: recipe for target 'arch/x86/kernel' failed
> make[1]: *** [arch/x86/kernel] Error 2
> Makefile:1071: recipe for target 'arch/x86' failed
> make: *** [arch/x86] Error 2
> 
> Cheers,
> Miguel
> 

-- 
~Randy